=head1 NAME

GStreamer::Message::StateChanged

=cut


=head1 METHODS

=head2 GstMessage = GStreamer::Message::StateChanged-E<gt>B<new> ($src, $oldstate, $newstate, $pending)

=over

=item * $src (GStreamer::Object) 

=item * $oldstate (GStreamer::State) 

=item * $newstate (GStreamer::State) 

=item * $pending (GStreamer::State) 

=back

=head2 state = $message-E<gt>B<new_state> 

=head2 state = $message-E<gt>B<old_state> 

=head2 state = $message-E<gt>B<pending> 



=cut


=head1 ENUMS AND FLAGS

=head2 enum GStreamer::State

=over

=item * 'void-pending' / 'GST_STATE_VOID_PENDING'

=item * 'null' / 'GST_STATE_NULL'

=item * 'ready' / 'GST_STATE_READY'

=item * 'paused' / 'GST_STATE_PAUSED'

=item * 'playing' / 'GST_STATE_PLAYING'

=back




=cut


=head1 SEE ALSO

L<GStreamer>


=cut


=head1 COPYRIGHT

Copyright (C) 2005-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<GStreamer> for a full notice.



=cut

